import 'package:dart_arango_min/dart_arango_min.dart';
import 'package:args/args.dart';

main(List<String> args) {
  print('args: $args');
  var parser = ArgParser();
  for (var o in ['host','port','user','pass','database','word']) {
    parser.addOption(o);
  }

  var results = parser.parse(args);

  // Connect:
  var client = ArangoDBClient(
    scheme: 'http',
    host: results['host'],
    port: int.parse(results['port']),
    db: results['database'],
    user: results['user'],
    pass: results['pass'],
  );

}
